// KbInput.h  Declare functions for basic keyboard input
// version 1.0
// Copyright 2005 Chad Berchek

#ifndef KBINPUT_H
#define KBINPUT_H

// Returns true if the string is empty. Space, tab, CR, and LF are ignored.
bool isEmptyString(const char *str);

// Reads a double-precision number from keyboard. If the value falls outside the range
// [min, max] it reads another value. If no value is input, the default is returned. If
// the default is outside the range [min, max], the default is ignored and the user must
// enter a valid number.
double kbReadDouble(double min, double max, double defaultValue);

// Returns true if keyboard input is 'y' or 'Y', false for 'n' or 'N'. If some other letter
// is entered, the function reads another letter until it gets a y or n.
bool kbReadYN();

// Reads a string from keyboard into the given buffer. Length is limited to bufLen.
char *kbReadString(char *buf, const unsigned long bufLen);

// Waits for user to press enter.
void kbReadEnter();

#endif
